jetty_rails with JRuby1.1.4 not work

バグ情報ばかり書いている気がしないでもないですが、現在のところ、JRuby1.1.4ではjetty_railsが動作しません。これはバグとして認識されていて1.1.5で修正予定です。

現在のところ、jetty_railsを使いたい場合は1.1.3もしくはtrunk版を使う必要があります。

以下検証です。
1.1.4の場合


$ jruby -v
jruby 1.1.4 (ruby 1.8.6 patchlevel 114) (2008-08-28 rev 7570) [x86_64-java]
$ cd demo1
$ jetty_rails
/Applications/jruby-1.1.4/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:34:in `require': IO error -- jetty_rails/handler/delegate_on_errors_handler (LoadError)
from /Applications/jruby-1.1.4/lib/ruby/gems/1.8/gems/jetty-rails-0.6/bin/jetty_rails:36
from /Applications/jruby-1.1.4/lib/ruby/gems/1.8/gems/jetty-rails-0.6/bin/jetty_rails:19:in `load'
from /Applications/jruby-1.1.4/bin/jetty_rails:19



というようなエラーになり、起動できません。
1.1.3の場合

$ jruby -v
jruby 1.1.3 (ruby 1.8.6 patchlevel 114) (2008-07-20 rev 7243) [x86_64-java]
$ cd demo1/
$ jetty_rails
2008-10-30 11:54:42.815::INFO: Logging to STDERR via org.mortbay.log.StdErrLog
starting 3000
2008-10-30 11:54:42.071::INFO: jetty-6.1.9
2008-10-30 11:54:42.162::INFO: NO JSP Support for /, did not find org.apache.jasper.servlet.JspServlet
2008-10-30 11:54:43.903:/:INFO: Info: using runtime pool timeout of 30 seconds
2008-10-30 11:54:43.903:/:INFO: Info: received min runtimes = 1
2008-10-30 11:54:43.908:/:INFO: Info: received max runtimes = 5
2008-10-30 11:54:50.870:/:INFO: Info: add application to the pool. size now = 1
2008-10-30 11:54:50.915::INFO: Started SelectChannelConnector@0.0.0.0:3000



1.1.3では問題なく起動できます。

投稿されたコメント:

コメント
  • HTML文法 不許可
About

Tomo

Search

Archives
« 4月 2014
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
今日